<?php

// extended parameters for 
// Caroussel module

/*
        <background>#000000</background>    <!-- #RRGGBB, transparent -->
        <friction>20</friction>              <!-- [1,100] -->
        <fullscreen>true</fullscreen>      <!-- true, false -->
 
        <margins>
            <top>0</top>                                <!-- [-1000,1000] pixels -->
            <left>0</left>                              <!-- [-1000,1000] pixels -->
            <bottom>0</bottom>                          <!-- [-1000,1000] pixels -->
            <right>0</right>                            <!-- [-1000,1000] pixels -->
            <horizontal_ratio>33%</horizontal_ratio>    <!-- [1,50] a photo may occupy at most horizontalRatio percent of the Carousel width -->
            <vertical_ratio>50%</vertical_ratio>        <!-- [1,100] a photo may occupy at most verticalRatio percent of the Carousel height -->
        </margins>
 
        <interaction>
            <rotation>keyboard</rotation>            <!-- auto, mouse, keyboard -->
            <view_point>keyboard</view_point>        <!-- none, mouse, keyboard -->
            <speed>15</speed>                     <!-- [-360,360] degrees per second -->
 
            <default_speed>15</default_speed>             <!-- [-360,360] degrees per second -->
            <default_view_point>20%</default_view_point>  <!-- [0,100] percentage -->
            <reset_delay>30</reset_delay>                 <!-- [0,600] seconds, 0 means never reset -->
        </interaction>
 
        <far_photos>
            <size>50%</size>                  <!-- [0,100] percentage -->
            <amount>50%</amount>              <!-- [0,100] percentage -->
            <blur>10</blur>                   <!-- [0,100] amount -->
            <blur_quality>3</blur_quality>    <!-- [1,3] 1=low - 3=high -->
        </far_photos>
 
        <reflection>
            <amount>100</amount>      <!-- [0,1000] pixels -->
            <blur>2</blur>            <!-- [0,100] blur amount -->
            <distance>0</distance>    <!-- [-1000,1000] pixels -->
            <alpha>50%</alpha>        <!-- [0,100] percentage -->
        </reflection>
 
        <titles>
            <style>font_size: 12px; font-family: Verdana, _serif; color: #FFCC66;</style>
            <position>above right</position>           <!-- [above, below] [left,center,right]-->
 
	<scale9>14 14 14 14</scale9>			<!-- [0,1000] pixels -->
	<padding>8 12 8 12</padding>			<!-- [-1000,1000] pixels -->
        </titles>
    </options>

*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$rotation = array(  l10n('Carousel_auto'), l10n('Carousel_mouse'), l10n('Carousel_keyboard'));
$view_point = array(  l10n('Carousel_none'), l10n('Carousel_mouse'), l10n('Carousel_keyboard'));
$blur_quality = array(l10n('Carousel_low'),l10n('Carousel_med'),l10n('Carousel_high'));
$position1 = array(l10n('Carousel_above'), l10n('Carousel_below'));
$position2 = array(l10n('Carousel_left'), l10n('Carousel_center') ,l10n('Carousel_right'));

// default values
if (!isset($ext_datas)) $ext_datas = array(
'background'	=> "#000000",
'friction'		=> "20",
'fullscreen'	=> true,
//<margins>
'top'		=> "0",
'left'		=> "0",
'bottom'	=> "0",
'right'		=> "0",
'horizontal_ratio' 	=> "33",
'vertical_ratio'	=> "50",
//</margins>

//<interaction>
'rotation'		=> 2, //mouse
'view_point'	=> 2, // mouse
'speed'			=> "15",
'default_speed'	=> "15",
'default_view_point'	=> "20",
'reset_delay'			=> "30",
//</interaction>

//<far_photos>
'size'		=> "50",
'amount'	=> "50",
'blur'		=> "10",
'blur_quality'	=> 3,
//</far_photos>

//<reflection>
'amountRef'	=> "100",
'blurRef'		=> "2",
'distance'	=> "0",
'alpha'		=> "50",
//</reflection>

//<titles>
//<style>
'font_size'		=> "12",
'font_family'	=> "Verdana",
'font_color'	=> "#FFCC66",
//</style>
'position1'		=> 1, //"above",
'position2'		=> 3, //"right"

);

// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
	
		if ($key == "fullscreen")
			$ext_datas[$key] = isset($_POST['Carousel_'.$key]);
		else
			$ext_datas[$key] = $_POST['Carousel_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "fullscreen")
		$template->assign(array( 'Carousel_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
		
	elseif ($key == "rotation")
	{
		$i=1;
		foreach ( $rotation as $order ) //on parcours le tableau 
		{
			$template->append('Carousel_rotation',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['rotation'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "view_point")
	{
		$i=1;
		foreach ( $view_point as $order ) //on parcours le tableau 
		{
			$template->append('Carousel_view_point',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['view_point'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "blur_quality")
	{
		$i=1;
		foreach ( $blur_quality as $order ) //on parcours le tableau 
		{
			$template->append('Carousel_blur_quality',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['blur_quality'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "position1")
	{
		$i=1;
		foreach ( $position1 as $order ) //on parcours le tableau 
		{
			$template->append('Carousel_position1',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['position1'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "position2")
	{
		$i=1;
		foreach ( $position2 as $order ) //on parcours le tableau 
		{
			$template->append('Carousel_position2',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['position2'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( 'Carousel_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));



$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>